Module tdlight.api
Package it.tdlight.jni

# Class TdApi.FileType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.FileType

Direct Known Subclasses:
  `TdApi.FileTypeAnimation`, `TdApi.FileTypeAudio`, `TdApi.FileTypeDocument`, `TdApi.FileTypeNone`, `TdApi.FileTypeNotificationSound`, `TdApi.FileTypePhoto`, `TdApi.FileTypePhotoStory`, `TdApi.FileTypeProfilePhoto`, `TdApi.FileTypeSecret`, `TdApi.FileTypeSecretThumbnail`, `TdApi.FileTypeSecure`, `TdApi.FileTypeSticker`, `TdApi.FileTypeThumbnail`, `TdApi.FileTypeUnknown`, `TdApi.FileTypeVideo`, `TdApi.FileTypeVideoNote`, `TdApi.FileTypeVideoStory`, `TdApi.FileTypeVoiceNote`, `TdApi.FileTypeWallpaper`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.FileType extends TdApi.Object permits TdApi.FileTypeNone, TdApi.FileTypeAnimation, TdApi.FileTypeAudio, TdApi.FileTypeDocument, TdApi.FileTypeNotificationSound, TdApi.FileTypePhoto, TdApi.FileTypePhotoStory, TdApi.FileTypeProfilePhoto, TdApi.FileTypeSecret, TdApi.FileTypeSecretThumbnail, TdApi.FileTypeSecure, TdApi.FileTypeSticker, TdApi.FileTypeThumbnail, TdApi.FileTypeUnknown, TdApi.FileTypeVideo, TdApi.FileTypeVideoNote, TdApi.FileTypeVideoStory, TdApi.FileTypeVoiceNote, TdApi.FileTypeWallpaper
This class is an abstract base class. Represents the type of a file.

## Constructor Summary

Constructors
Constructor
Description
`FileType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileType

public FileType()
Default class constructor.